<div class="offset">

        
    
    {% for i in range(end=total) %}
    <button class="chap_box" onclick="fetch_search(`{{query}}`, '{{(loop.index-1)*20}}')"
    {% if loop.index > current+1 %}
        id="before"
    {% elif loop.index == current+1 %}
    id="current"
    {%endif %}

        >{{(loop.index)}}</button>
    {% endfor %}

</div>
<style>
    .offset {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .chap_box {
        background-color: aqua;
        border: 10px;
        border-radius: 10%;
        cursor: pointer;
        width: 2em;
        height: 2em;
        font-size: 1.5em;
        text-align: center;
        margin: .5em;
    }

    #before {
        background-color: blueviolet;
    }

    #current {
        background-color: orange;

    }
</style>

<div class="updated-release">

    {% for manga in manga_result %}
    <div class="updated-title">
        <a href="manga/{{manga.id}}">
            <img class="title-img" src={{proxy_url}}{{manga.cover}} alt="image not found">
            <div class="manga-title">{{manga.title}}</div>
        </a>
    </div>
    {% endfor %}
</div>